Subject: Re: [PATCH] ath11k: Fix QCN9074 firmware boot on x86

From: Kalle Valo <[email-masked]>
Date: Wed, 02 Nov 2022 12:37:09 +0200

Kalle Valo <[email-masked]> writes:

> Tyler Stachecki <[email-masked]> writes:
>
>> On Tue, Nov 1, 2022 at 10:46 AM Kalle Valo <[email-masked]> wrote:
>>>
>>> "Tyler J. Stachecki" <[email-masked]> writes:
>>>
>>> > The 2.7.0 series of QCN9074's firmware requests 5 segments
>>> > of memory instead of 3 (as in the 2.5.0 series).
>>> >
>>> > The first segment (11M) is too large to be kalloc'd in one
>>> > go on x86 and requires piecemeal 1MB allocations, as was
>>> > the case with the prior public firmware (2.5.0, 15M).
>>> >
>>> > Since f6f92968e1e5, ath11k will break the memory requests,
>>> > but only if there were fewer than 3 segments requested by
>>> > the firmware. It seems that 5 segments works fine and
>>> > allows QCN9074 to boot on x86 with firmware 2.7.0, so
>>> > change things accordingly.
>>> >
>>> > Signed-off-by: Tyler J. Stachecki <[email-masked]>
>>>
>>> Ouch, that's pretty bad. Thanks for fixing this!
>>>
>>> Does the 2.5.0.1 firmware branch still work with this patch? It's
>>> important that we don't break the old firmware.
>>>
>>> --
>>> https://patchwork.kernel.org/project/linux-wireless/list/
>>>
>>> https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches
>>
>> Yep, tested the patch with all 3 combinations, below:
>>
>> QCN9074:
>> WLAN.HK.2.7.0.1-01744-QCAHKSWPL_SILICONZ-1
>> WLAN.HK.2.5.0.1-01208-QCAHKSWPL_SILICONZ-1
>>
>> WCN6855:
>> WLAN.HSP.1.1-03125-QCAHSPSWPL_V1_V2_SILICONZ_LITE-3.6510.16
>
> Excellent, I'll add Tested-on tags for these. Thank you again.

I'll think I'll queue this to v6.1, it's an important fix to have.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches